Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class AWTEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ActionEvent, AdjustmentEvent, AncestorEvent, ComponentEvent, HierarchyEvent, InputMethodEvent, InternalFrameEvent, InvocationEvent, ItemEvent, TextEvent

public abstract class AWTEvent
extends EventObject

The root event class for all AWT events. This class and its subclasses supercede the original java.awt.Event class. Subclasses of this root AWTEvent class defined outside of the java.awt.event package should define event ID values greater than the value defined by RESERVED_ID_MAX.

The event masks defined in this class are needed by Component subclasses which are using Component.enableEvents() to select for event types not selected by registered listeners. If a listener is registered on a component, the appropriate event mask is already set internally by the component.

The masks are also used to specify to which types of events an AWTEventListener should listen. The masks are bitwise-ORed together and passed to Toolkit.addAWTEventListener.

Since:
  1.1
See Also:
  `Component.enableEvents(long)`, `Toolkit.addAWTEventListener(java.awt.event.AWTEventListener, long)`, `ActionEvent`, `AdjustmentEvent`, `ComponentEvent`, `ContainerEvent`, `FocusEvent`, `InputMethodEvent`, `InvocationEvent`, `ItemEvent`, `HierarchyEvent`, `KeyEvent`, `MouseEvent`, `PaintEvent`, `TextEvent`, `WindowEvent`, Serialized Form

Field Summary
`static long` | `ACTION_EVENT_MASK` The event mask for selecting action events.
`static long` | `ADJUSTMENT_EVENT_MASK` The event mask for selecting adjustment events.
`static long` | `COMPONENT_EVENT_MASK` The event mask for selecting component events.
`protected boolean` | `consumed`
`static long` | `CONTAINER_EVENT_MASK` The event mask for selecting container events.
`static long` | `FOCUS_EVENT_MASK` The event mask for selecting focus events.
`static long` | `HIERARCHY_BOUNDS_EVENT_MASK` The event mask for selecting hierarchy bounds events.
`static long` | `HIERARCHY_EVENT_MASK` The event mask for selecting hierarchy events.
`protected int` | `id`
`static long` | `INPUT_METHOD_EVENT_MASK` The event mask for selecting input method events.
`static long` | `INVOCATION_EVENT_MASK` The event mask for selecting invocation events.
`static long` | `ITEM_EVENT_MASK` The event mask for selecting item events.
`static long` | `KEY_EVENT_MASK` The event mask for selecting key events.
`static long` | `MOUSE_EVENT_MASK` The event mask for selecting mouse events.
`static long` | `MOUSE_MOTION_EVENT_MASK` The event mask for selecting mouse motion events.
`static long` | `PAINT_EVENT_MASK` The event mask for selecting paint events.
`static int` | `RESERVED_ID_MAX` The maximum value for reserved AWT event IDs.
`static long` | `TEXT_EVENT_MASK` The event mask for selecting text events.
`static long` | `WINDOW_EVENT_MASK` The event mask for selecting window events.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AWTEvent(Event event)` Constructs an AWTEvent object from the parameters of a 1.0-style event.
`AWTEvent(Object source, int id)` Constructs an AWTEvent object with the specified source object and type.

Method Summary
`protected void` | `consume()`
`protected void` | `finalize()` Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.
`int` | `getID()` Returns the event type.
`protected boolean` | `isConsumed()`
`String` | `paramString()` Returns a string representing the state of this event.
`String` | `toString()` Returns a String representation of this EventObject.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

### consumed

    protected boolean consumed

### COMPONENT_EVENT_MASK

    public static final long COMPONENT_EVENT_MASK

  The event mask for selecting component events.

### CONTAINER_EVENT_MASK

    public static final long CONTAINER_EVENT_MASK

  The event mask for selecting container events.

### FOCUS_EVENT_MASK

    public static final long FOCUS_EVENT_MASK

  The event mask for selecting focus events.

### KEY_EVENT_MASK

    public static final long KEY_EVENT_MASK

  The event mask for selecting key events.

### MOUSE_EVENT_MASK

    public static final long MOUSE_EVENT_MASK

  The event mask for selecting mouse events.

### MOUSE_MOTION_EVENT_MASK

    public static final long MOUSE_MOTION_EVENT_MASK

  The event mask for selecting mouse motion events.

### WINDOW_EVENT_MASK

    public static final long WINDOW_EVENT_MASK

  The event mask for selecting window events.

### ACTION_EVENT_MASK

    public static final long ACTION_EVENT_MASK

  The event mask for selecting action events.

### ADJUSTMENT_EVENT_MASK

    public static final long ADJUSTMENT_EVENT_MASK

  The event mask for selecting adjustment events.

### ITEM_EVENT_MASK

    public static final long ITEM_EVENT_MASK

  The event mask for selecting item events.

### TEXT_EVENT_MASK

    public static final long TEXT_EVENT_MASK

  The event mask for selecting text events.

### INPUT_METHOD_EVENT_MASK

    public static final long INPUT_METHOD_EVENT_MASK

  The event mask for selecting input method events.

### PAINT_EVENT_MASK

    public static final long PAINT_EVENT_MASK

  The event mask for selecting paint events.

### INVOCATION_EVENT_MASK

    public static final long INVOCATION_EVENT_MASK

  The event mask for selecting invocation events.

### HIERARCHY_EVENT_MASK

    public static final long HIERARCHY_EVENT_MASK

  The event mask for selecting hierarchy events.

### HIERARCHY_BOUNDS_EVENT_MASK

    public static final long HIERARCHY_BOUNDS_EVENT_MASK

  The event mask for selecting hierarchy bounds events.

### RESERVED_ID_MAX

    public static final int RESERVED_ID_MAX

  The maximum value for reserved AWT event IDs. Programs defining their own event IDs should use IDs greater than this value.

Constructor Detail

### AWTEvent

    public AWTEvent(Event event)

  Constructs an AWTEvent object from the parameters of a 1.0-style event.
  Parameters:
    `event` - the old-style event

### AWTEvent

    public AWTEvent(Object source,
                    int id)

  Constructs an AWTEvent object with the specified source object and type.
  Parameters:
    `source` - the object where the event originated

Method Detail

### getID

    public int getID()

  Returns the event type.

### toString

    public String toString()

  Description copied from class: `EventObject`
  Returns a String representation of this EventObject.
  Overrides:
    `toString` in class `EventObject`
  Following copied from class: `java.util.EventObject`
  Returns:
    A a String representation of this EventObject.

### paramString

    public String paramString()

  Returns a string representing the state of this event. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.
  Returns:
    a string representation of this event.

### consume

    protected void consume()

### isConsumed

    protected boolean isConsumed()

### finalize

    protected void finalize()
                     throws Throwable

  Description copied from class: `Object`
  Called by the garbage collector on an object when garbage collection determines that there are no more references to the object. A subclass overrides the `finalize` method to dispose of system resources or to perform other cleanup.

  The general contract of `finalize` is that it is invoked if and when the JavaTM virtual machine has determined that there is no longer any means by which this object can be accessed by any thread that has not yet died, except as a result of an action taken by the finalization of some other object or class which is ready to be finalized. The `finalize` method may take any action, including making this object available again to other threads; the usual purpose of `finalize`, however, is to perform cleanup actions before the object is irrevocably discarded. For example, the finalize method for an object that represents an input/output connection might perform explicit I/O transactions to break the connection before the object is permanently discarded.

  The `finalize` method of class `Object` performs no special action; it simply returns normally. Subclasses of `Object` may override this definition.

  The Java programming language does not guarantee which thread will invoke the `finalize` method for any given object. It is guaranteed, however, that the thread that invokes finalize will not be holding any user-visible synchronization locks when finalize is invoked. If an uncaught exception is thrown by the finalize method, the exception is ignored and finalization of that object terminates.

  After the `finalize` method has been invoked for an object, no further action is taken until the Java virtual machine has again determined that there is no longer any means by which this object can be accessed by any thread that has not yet died, including possible actions by other objects or classes which are ready to be finalized, at which point the object may be discarded.

  The `finalize` method is never invoked more than once by a Java virtual machine for any given object.

  Any exception thrown by the `finalize` method causes the finalization of this object to be halted, but is otherwise ignored.

  Overrides:
    `finalize` in class `Object`
  Following copied from class: `java.lang.Object`
  Throws:
    `Throwable` - the `Exception` raised by this method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.